View Issue Details

IDProjectCategoryView StatusLast Update
0000699OpenMPTlibopenmptpublic2019-11-03 10:05
Reportermanx Assigned Tomanx  
PrioritylowSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Target VersionOpenMPT 1.29 / libopenmpt 0.5 (goals)Fixed in VersionOpenMPT 1.29 / libopenmpt 0.5 (goals) 
Summary0000699: openmpt123: openmpt123 assumes UTF8 locale
Description

openmpt123 assumes UTF8 locale and disregards the user locale on non-Windows systems

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Relationships

related to 0001231 resolvedmanx openmpt123 writes to windows console directly instead of writing to stdout 

Activities

manx

manx

2019-11-03 10:05

administrator   ~0004137

r12297

Issue History

Date Modified Username Field Change
2015-08-15 07:06 manx New Issue
2015-08-15 07:06 manx Status new => assigned
2015-08-15 07:06 manx Assigned To => manx
2019-06-19 11:37 manx Relationship added related to 0001231
2019-11-03 08:08 manx Target Version OpenMPT 1.?? (long term goals) => OpenMPT 1.29 / libopenmpt 0.5 (goals)
2019-11-03 10:05 manx Status assigned => resolved
2019-11-03 10:05 manx Resolution open => fixed
2019-11-03 10:05 manx Fixed in Version => OpenMPT 1.29 / libopenmpt 0.5 (goals)
2019-11-03 10:05 manx Note Added: 0004137